{{- if and .Values.proxy.https.enabled (eq .Values.proxy.https.type "manual") }}
apiVersion: v1
kind: Secret
metadata:
  name: manual-tls-proxy-{{ .Release.Name }}
type: kubernetes.io/tls
data:
  tls.crt: {{ .Values.proxy.https.manual.cert | b64enc }}
  tls.key: {{ .Values.proxy.https.manual.key | b64enc }}
{{- end }}
